<?php
session_start();
$vac = "vac";
$host = "localhost";
$user = "vac";
$password = "hPUf8e4karnz61bS";

$conn = new mysqli($host,$user,$password,$vac);
if ($conn->connect_error){
    die("Verbindung fehlgeschlagen: " . $conn->connect_error);
}

var_dump($_POST['url']);
if($_POST['url'] == ''){
  header('Location: /');
  return;
}

$url = $_POST['url'];
$author = $_SESSION['user'];

  $sql = "INSERT INTO cheaterlist (url, author) VALUES('".$url."', '".$author."')";
  $conn->query($sql);
?>
<meta http-equiv="refresh" content="0; url=/index.php" />
